Bug 146269 - loop mounts in /etc/fstab don't mount automatically
loop mounts in /etc/fstab don't mount automatically
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-26 11:46 EST by Charles R. Anderson
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:28:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fstab with many loop mounts (11.72 KB, text/plain)
2005-01-26 11:48 EST, Charles R. Anderson
no flags Details

  None (edit)
Description Charles R. Anderson 2005-01-26 11:46:17 EST
Description of problem:

Loop mounts in /etc/fstab should be mounted automatically by
rc.sysinit.  When "mount -a" is called, not all the /dev/loop* devices
that may be needed have been created yet.  Once the mount causes the
loop module to load, udev creates the appropriate /dev/loop* nodes. 
However, by the time this finishes, "mount -a" has already failed. 
Calling "mount -a" a second time succeeds to mount all the loop mounts.

Version-Release number of selected component (if applicable):
7.93.5-1

How reproducible:
Always


Steps to Reproduce:
1. Put some loop mounts in /etc/fstab
2. Reboot
3. loop mounts won't mount.  type "mount -a" to mount them.
Comment 1 Charles R. Anderson 2005-01-26 11:48:18 EST
Created attachment 110254 [details]
fstab with many loop mounts
Comment 2 Bill Nottingham 2005-01-26 16:45:14 EST
This is a failure of mount w/loopback not coping with the udev model.

It's not something that can be fixed in initscripts.
Comment 3 Matthew Miller 2006-07-10 18:08:24 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Charles R. Anderson 2007-04-16 18:03:06 EDT
Problem still exists in FC6.

May I suggest that if the udev model cannot cope with loop, then loop be loaded
unconditionally or mount -a be called twice in rc.sysinit?
Comment 5 Harald Hoyer 2007-04-17 06:51:05 EDT
hmm, yes
Comment 6 Bug Zapper 2008-04-03 21:53:32 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 11:28:42 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.